Deskhero Developer Hub
Back to deskhero.com
Users

Get one

Returns one User with their membership of this workspace (role and status) and their group memberships. 404 when the id is unknown or the User is not a member of this workspace, even if the account exists elsewhere in Deskhero.

GET /api/{tenant:minlength(2)}/v{version:apiVersion}/users/{id}
Authorisation
Minimum role: USER

Request arguments

Name Type Source
idInt32
Request body example

Response

Status
200 (OK)
Type
DTO_user
Wrapper
DTO_response_wrap
Other statuses
400 (BadRequest), 403 (Forbidden)
Response body example
DTO_user
NameTypeReadOnlyDescription
tenant_userDTO_tenant_userTenant user
created_byDTO_reference_userReadOnlyCreated by
last_updated_byDTO_reference_userReadOnlyLast updated by
languageDTO_translation_languageReadOnlyLanguage
idInt32ReadOnlyId
emailStringEmail
given_nameStringGiven name
family_nameStringFamily name
full_nameStringReadOnlyName
profile_picStringReadOnlyProfile pic
createdDateTimeReadOnlyCreated
last_updatedDateTimeReadOnlyLast updated
display_absolute_timeBooleanReadOnlyDisplay absolute time
DTO_tenant_user
NameTypeReadOnlyDescription
groupsDTO_reference_is_admin[]Groups
notification_mentionsDTO_notification_channelNotification mentions
notification_assignedDTO_notification_channelNotification assigned
idInt32ReadOnlyId
tenant_idInt32Tenant id
user_idInt32User id
roleENUM tenant_user_roleRole
statusENUM tenant_user_statusStatus
last_seenDateTimeLast seen
DTO_reference_is_admin
NameTypeReadOnlyDescription
is_adminBooleanReadOnlyIs admin
idInt32Id
labelObjectReadOnlyLabel
DTO_notification_channel
NameTypeReadOnlyDescription
emailBooleanEmail
inappBooleanInapp
DTO_reference_user
NameTypeReadOnlyDescription
profile_picStringReadOnlyProfile pic
emailStringReadOnlyEmail
idInt32Id
labelObjectReadOnlyLabel
DTO_translation_language
NameTypeReadOnlyDescription
idInt32ReadOnlyLeave empty on input
nameStringName
codeStringCode
iconStringReadOnlyIcon
icon_sqareStringReadOnlyIcon sqare
ENUM tenant_user_role
ValueNameDescription
0UNKNOWNUNKNOWN
1OWNEROwner
2ADMINAdmin
3USERUser
ENUM tenant_user_status
ValueNameDescription
0UNKNOWNUNKNOWN
1ACTIVEACTIVE
2DEACTIVEDEACTIVE

Generated Aug 4, 2026 18:37